<?xml version="1.0" encoding="UTF-8"?>
<schemalist gettext-domain="lomiri-schemas">
    <schema path="/com/lomiri/NotificationSettings/applications/" id="com.lomiri.notifications.settings.applications">
        <key type='as' name='applications'>
            <default>[]</default>
            <summary>Applications</summary>
            <description>List of all applications registered for using notifications.</description>
        </key>
        <key type='b' name='vibrate-silent-mode'>
            <default>true</default>
            <summary>Should Vibrate When in Silent Mode</summary>
            <description>Defines if applications can use vibrations to notify when system is in silent mode.</description>
        </key>
    </schema>

    <schema id="com.lomiri.notifications.settings">
        <key type='b' name='enable-notifications'>
            <default>true</default>
            <summary>Notifications Enabled</summary>
            <description>Defines if application can use any supported notification type. This option has precedence over others options.</description>
        </key>
        <key type='b' name='use-sounds-notifications'>
            <default>true</default>
            <summary>Sounds Notifications Enabled</summary>
            <description>Defines if application can use sounds to notify users.</description>
        </key>
        <key type='b' name='use-vibrations-notifications'>
            <default>true</default>
            <summary>Vibrations Notifications Enabled</summary>
            <description>Defines if application can use vibrations to notify users.</description>
        </key>
        <key type='b' name='use-bubbles-notifications'>
            <default>true</default>
            <summary>Bubbles Notifications Enabled</summary>
            <description>Defines if application can use Notification Bubbles to notify users.</description>
        </key>
        <key type='b' name='use-list-notifications'>
            <default>true</default>
            <summary>List Notifications Enabled</summary>
            <description>Defines if application can show messages in the Notification List.</description>
        </key>
    </schema>
</schemalist>
